
main {
    /*hard coded height of header*/
    /*margin-top: 73px;*/
    margin-top: 87px; /*when wpadmin hidden*/
}

.mob-nav {
    position: fixed;
    top: 0;
    z-index: 100;
    border-bottom: 1px solid transparent;
    transition: border-bottom 0.3s ease-in-out;
    width: 100%;

    display: flex;
    flex-direction: column;
    background: white;
}

.mob-nav.open {
    /*On products filter page, menu isn't sticky*/
    /*by overriding position:fixed, but then the menu didn't open*/
    position: fixed;
}

.scrolled-down .mob-nav {
    border-bottom: 1px solid black;
}

.mob-nav-brand-container {
    display: grid;
    grid-template-columns: 1fr 1fr 1fr;
}

.mob-nav-brand-container a {
    display: flex;
    align-items: center;
    justify-content: center;
}

.mob-nav-brand-container a:first-child img {
    /*max-width: 100%;*/
    height: 1.6rem; /* table */
}

.mob-nav-brand-container a:first-child {
    background: white;
    /*padding: 0.5rem 3rem;*/
}

.mob-nav-brand-container a:nth-child(2) {
    background: #E4E4E4;
}

.mob-nav-brand-container a:nth-child(3) {
    background: #D9D9D9;
}

/*-------------------------------------------------------------------------------*/

.mob-nav-site {
    display: flex;
    align-items: center;
    background: white; /*Stop the menu appearing behind the search*/
    position: relative;
}

.mob-nav-site form {
    flex-grow: 1;
    display: flex;
    align-items: center;
    position: relative;
}

.mob-nav-site form img {
    position: absolute;
    padding: 1rem;
}

.mob-nav-site form input {
    padding-left: 3rem;
    width: 100%;
    border: none;
    height: 3rem;
}

.mob-nav-site-cta {
    transition: transform 0.3s ease-in;
}

.mob-nav-site-cta a {
    border-radius: 23.5px;
    background-color: #126353;
    color: white;
    padding: 1rem 2rem;
    font-size: 12px;
    white-space: nowrap;
}

.mob-nav-sub-menu-back-btn {
    white-space: nowrap;
    cursor: pointer;
    right: 0;
    position: absolute;
    transform: translateX(110%);
    transition: transform 0.3s ease-in-out;
    transition-delay: 0.2s;
}

/*slide in from right animation*/
.mob-nav-sub-menu-back-btn.open {
    transform: translateX(-12px);
}

/*-------------------------------------------------------------------------------*/
/*Menu icon*/
.mobile-nav-btn-container {
    flex-shrink: 0; /*Don't let the search encroach*/
    display: flex;
    height: 64px;
    width: 64px;
    cursor: pointer;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

#mobile-nav-btn,
#mobile-nav-btn::before,
#mobile-nav-btn::after {
    display: block;
    background-color: #666666;
    position: absolute;
    height: 3px;
    width: 33px;
    transition: transform 400ms cubic-bezier(0.23, 1, 0.32, 1);
    border-radius: 2px;
}

#mobile-nav-btn::before {
    content: '';
    margin-top: -8px;
}

#mobile-nav-btn::after {
    content: '';
    margin-top: 8px;
}

.open .mobile-nav-btn-container #mobile-nav-btn::before {
    margin-top: 0;
    transform: rotate(45deg);
}

.open .mobile-nav-btn-container #mobile-nav-btn {
    background: transparent;
}

.open .mobile-nav-btn-container #mobile-nav-btn::after {
    margin-top: 0;
    transform: rotate(-45deg);
}

/*-------------------------------------------------------------------------------*/
/*Open the menu content*/

.mob-nav.open {
    height: calc(100% + 1px);
}

.mob-nav-content {
    flex: 1;
    background: white;
    overflow-y: scroll;
    overflow-x: hidden;
    transform: translateY(-100%);
    transition: transform 0.1s ease-out;
    z-index: -1;
    position: relative;
    width: 100%;
}

.open .mob-nav-content {
    transform: translateY(0);
}

/*animate: transformX 100, then at 100% display none*/
.open .mob-nav-site-cta {
    animation: slideOut 0.3s ease-in-out forwards;
}

/*Javascript sets display none when close btn (x) is pressed*/
@keyframes slideOut {
    0% {
        transform: translateX(0%);
    }
    100% {
        transform: translateX(100%);
        display: none;
    }
}

/*-------------------------------------------------------------------------------*/
/*Menu content*/
.mobile-nav-content__body_1 .sub-menu {
    display: none;
}

.mobile-nav-content__body_1 .sub-menu.open {
    position: absolute;
    font-size: 1.4rem;
    display: block;
    width: 100%;
    top: 300px;
    bottom: 0;
    background: white;
}

.mobile-nav-content__body_1 .sub-sub-menu {
    display: none;
}

.dropdown-arrow {
    display: inline-block;
    width: 20px;
    height: 20px;
    margin-left: 1rem;
}

/*-------------------------------------------------------------------------------*/
/*Pages*/
.mobile-nav-content__page {
    position: absolute;
    width: 100%;

    transition: transform 0.3s ease-in-out;
}

.mobile-nav-content__page.page-top {
    transform: translateX(0);
}

.mobile-nav-content__page.page-bottom {
    transform: translateX(100%);
    /*Avoids first page y-scrolling if sub-page height is larger*/
    /*Forces scroll to top - which is a good thing I think*/
    overflow-y: hidden;
    max-height: 100%;
}

.mobile-nav-content__page.page-bottom.open {
    transform: translateX(0);
    overflow-y: unset;
    height: unset;
}

/*-------------------------------------------------------------------------------*/
/*Dog and Cat tiles*/

/*.mob-nav-tiles {*/
/*    display: flex;*/
/*    justify-content: space-between;*/
/*    overflow-x: hidden;*/
/*}*/

.mob-nav-tile {
    font-size: 16px;
    font-weight: 600;
    color: #3F3C3C;
    width: 100%;
    max-width: 200px;
    margin-bottom: 2rem;
}

.mob-nav-tile__img-wrapper {
    width: 100%;
    aspect-ratio: 1;
    background-color: #F2F2F2;
    position: relative;
    border-radius: 7px;
}

.mob-nav-tile__img-wrapper img {
    position: absolute;
    top: 0;
    height: 90%;
    transition: scale 0.2s ease-in-out;
}

.mob-nav-tile:hover .mob-nav-tile__img-wrapper img {
    transform: scale(1.1);
}


/*-------------------------------------------------------------------------------*/
/*These styles are shared with product-filter mobile menu*/

.mob-nav-links {
    display: flex;
    flex-direction: column;
    list-style-type: none;
    padding: 0;
    margin: 0;

}

.mob-nav-link {
    /*width: 100%;*/
    padding: 1.8rem 0;
    border-bottom: 1px solid #9C9B97;
    color: #3F3C3C;
    position: relative;
}

.mob-nav-link[data-sub-menu-id]:after {
    content: '';
    /*down arrow*/
    background: url('data:image/svg+xml;utf8,<svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" fill="currentColor" class="bi bi-chevron-down" viewBox="0 0 16 16"><path fill-rule="evenodd" d="M7.646 5.646a.5.5 0 0 1 .708 0l3 3a.5.5 0 0 1-.708.708L8 6.707 5.354 9.354a.5.5 0 0 1-.708-.708l3-3z"/></svg>') no-repeat;
    background-size: cover;
    position: absolute;
    right: 0;
    top: 1.8rem;
    width: 2rem;
    height: 2rem;
    z-index: -1; /* allow label 100%, other blocks click*/
    transform: rotate(90deg);
}

.mob-nav-link:has(> ul):after {
    content: '';
    /*down arrow*/
    background: url('data:image/svg+xml;utf8,<svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" fill="currentColor" class="bi bi-chevron-down" viewBox="0 0 16 16"><path fill-rule="evenodd" d="M7.646 5.646a.5.5 0 0 1 .708 0l3 3a.5.5 0 0 1-.708.708L8 6.707 5.354 9.354a.5.5 0 0 1-.708-.708l3-3z"/></svg>') no-repeat;
    background-size: cover;
    position: absolute;
    right: 0;
    top: 1.8rem;
    width: 2rem;
    height: 2rem;
    z-index: -1; /* allow label 100%, other blocks click*/
    transform: rotate(180deg);
}

.mob-nav-link > label {
    width: 100%;
    cursor: pointer;
    padding-top: 0.5rem;
    user-select: none;
    -webkit-user-select: none;
}

.mob-nav-link a {
    color: #3F3C3C;
    text-decoration: none;
}

.mob-nav-link .mob-nav-link__check {
    display: none;
}


.tiles {
    border-bottom: 1px solid #9C9B97;
}

/*-------------------------------------------------------------------------------*/

.sub-menu-header {
    width: 100%;
    background: #F2F2F2;
    border-radius: 7px;
    height: 200px;
}

.sub-menu-header img {
    height: 100%;
}

.sub-menu-header {
    color: #0a3622;
}


/*-------------------------------------------------------------------------------*/


.mob-nav-collapse {
    display: none;
    list-style-type: none;
    padding: 0;
    margin: 0;
}

.mob-nav-collapse li {
    width: 100%;
    padding: .6rem 0;
}

.mob-nav-link label:has(.mob-nav-link__check:checked) {
    font-weight: bold;

}

.mob-nav-link:has(.mob-nav-link__check:checked) .mob-nav-collapse {
    display: block;
}

/*rotate the arrow*/
.mob-nav-link:has(.mob-nav-link__check:checked)::after {
    transform: rotate(0deg);
}

/*Don't collapse or show arrow if grand-child is an image*/
.mob-nav-link:has(img) .mob-nav-collapse {
    display: block;
}

.mob-nav-link:has(img):after {
    display: none;
}